Skip to main content
POST
Post SCA results

Authorizations

X-API-KEY
string
header
required

Headers

X-Gable-Payload-Encoding
enum<string>

Required when uploading gzip-compressed SCA results with Content-Type application/octet-stream. Do not use HTTP Content-Encoding for compressed SCA uploads.

Available options:
gzip
X-Gable-Chunk-Session
string

Stable upload session id shared by every chunk. When this header is present, X-Gable-Chunk-Index and X-Gable-Chunk-Count are also required, and the request body must contain a base64-encoded slice of the full SCA results request body.

X-Gable-Chunk-Index
integer

1-based chunk position for a header-based chunked upload.

Required range: x >= 1
X-Gable-Chunk-Count
integer

Total chunk count for a header-based chunked upload.

Required range: x >= 1

Body

Send a complete SCA results payload, or send base64-encoded chunks of that payload with the X-Gable-Chunk-* headers.

Union type for uploading SCA results - can be code lineage paths, data store metadata, edge definitions, raw prime, or AI augmentation strand output

paths
object[]
required
run_id
string
required

The ID of the run that the paths belong to

type
enum<string>
required

The type of data being uploaded

Available options:
CODE
upload_context
object
external_component_id
string

Optional ID of the external component that was analyzed

metadata
object

Additional metadata for the component.

name
string

The name of the component that was analyzed

Response

SCA results

Response from posting SCA results.

runId
string
required

The run ID associated with this upload.

createdJob
boolean
required

Whether this request created the backing job for the run.